Package net.shibboleth.idp.attribute.resolver.dc.saml.impl

# Interface AttributeAuthorityEntityIDResolver

All Known Implementing Classes:
  `ChainingAuthorityEntityIDResolver`, `ContextAuthorityEntityIDResolver`

public interface AttributeAuthorityEntityIDResolver
Interface for a component which resolves the entityID of an AttributeAuthority against which to query for attributes.

## Method Summary

Modifier and Type
Method
Description
`String`
`resolve(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes)`
Resolve the entity ID of the attribute authority to use in query.

## Method Details

### resolve

@Nullable String resolve(@Nonnull AttributeResolutionContext resolutionContext, @Nonnull Map<String,List<IdPAttributeValue>> dependencyAttributes) throws ResolutionException
Resolve the entity ID of the attribute authority to use in query.

Parameters:
  `resolutionContext` - the attribute resolution context in effect for the query
  `dependencyAttributes` - the dependency attributes in effect for the query
Returns:
  the entity ID, may be null
Throws:
  `ResolutionException` - if there is a fatal error during processing